Page MenuHomePhabricator

dirstate-v2: Rename Header to Root, move it to the end of the data file
ClosedPublic

Authored by SimonSapin on Jul 12 2021, 5:10 PM.

Details

Summary

Now that they don’t have to be at the start, a given data file may contain
multiple "roots". A docket only points to one of them, and previous ones
are left unused to allow allow append-only in-place writing to an existing
data file.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

SimonSapin created this revision.Jul 12 2021, 5:10 PM
baymax updated this revision to Diff 29220.Jul 12 2021, 6:39 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Jul 13 2021, 11:10 AM
This revision is now accepted and ready to land.Jul 13 2021, 11:10 AM
marmoute added inline comments.
rust/hg-core/src/dirstate_tree/on_disk.rs
5–15

strange char detected.

marmoute accepted this revision.Jul 16 2021, 5:55 AM
SimonSapin added inline comments.Jul 16 2021, 8:15 AM
rust/hg-core/src/dirstate_tree/on_disk.rs
5–15

I find it sad that Phabricator gets so upset over a perfectly normal non-breaking space in a comment, but having it here was not intentional so I’ll change it.

SimonSapin updated this revision to Diff 29332.Jul 16 2021, 8:37 AM
baymax updated this revision to Diff 29608.Jul 20 2021, 3:41 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)